org.apache.felix.scrplugin.annotations

## Class ClassAnnotation

- java.lang.Object
- - org.apache.felix.scrplugin.annotations.ScannedAnnotation
  - - org.apache.felix.scrplugin.annotations.ClassAnnotation

    public class ClassAnnotation
    extends ScannedAnnotation

A class annotation

### Field Summary

### Fields inherited from class org.apache.felix.scrplugin.annotations.ScannedAnnotation

`name, values`

### Constructor Summary

Constructors
Constructor and Description
`ClassAnnotation(String name, Map<String,Object> values)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.felix.scrplugin.annotations.ScannedAnnotation

`getBooleanValue, getEnumValue, getIntegerValue, getLongValue, getName, getSimpleName, getStringValue, getValue, hasValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClassAnnotation

    public ClassAnnotation(String name,
                           Map<String,Object> values)

Constructor.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `ScannedAnnotation`